# call

@ JvmStatic
@ JvmOverloads
fun call (accessToken: String , endPoint: String , params: Map < String , Any > = emptyMap(), method: Methods = Methods.POST): CallResponse (source)

Executes an API call.

#### Return

A CallResponse object.

#### Parameters

accessToken

The API access token.

endPoint

The REST endpoint URI. (eg. `https://api-ssl.bitly.com/v4/shorten`)

params

The request parameters key/value map.

method

The submission Method.